Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
ed25519_fe.h File Reference
`#include <botan/mem_ops.h>`
`#include <botan/exceptn.h>`

Go to the source code of this file.

## Classes
class | Botan::FE_25519

## Namespaces
| Botan

## Typedefs
typedef FE_25519 | Botan::fe

## Functions
void | Botan::fe_0 (fe &x)
void | Botan::fe_1 (fe &x)
void | Botan::fe_add (fe &x, const fe &a, const fe &b)
void | Botan::fe_copy (fe &a, const fe &b)
void | Botan::fe_frombytes (fe &x, const uint8_t *b)
void | Botan::fe_invert (fe &x, const fe &z)
int | Botan::fe_isnegative (const fe &x)
int | Botan::fe_isnonzero (const fe &x)
void | Botan::fe_mul (fe &x, const fe &a, const fe &b)
void | Botan::fe_neg (fe &x, const fe &z)
void | Botan::fe_pow22523 (fe &x, const fe &y)
void | Botan::fe_sq (fe &x, const fe &z)
void | Botan::fe_sq2 (fe &x, const fe &z)
void | Botan::fe_sq_iter (fe &x, const fe &z, size_t iter)
void | Botan::fe_sub (fe &x, const fe &a, const fe &b)
void | Botan::fe_tobytes (uint8_t *b, const fe &x)